_, class = UnitClass("player")
if class == "MAGE" then

local MCTimers = {}

local MCTimerList = {
[57761] = true,
[44544] = true,
[48107] = true,
[48108] = true,
[12042] = true,
[36032] = true,
[79683] = true,
[131078] = true,
[12472] = true,
[84714] = true,
[55342] = true,
[113724] = true,
[116257] = true,
[116267] = true,
[110909] = true,
[41425] = true,
[116014] = true,
[87024] = true,
}

MCmirrorimage, MCfrozenorb, MCringoffrost = nil, nil, nil
local tier6flashdelay, tier6sounddelay = 0, 0
MCtier6flash = false
MCSpellID = {
["MCBrainFreezeTimer"] = 57761,
["MCFingersOfFrostTimer"] = 44544,
["MCHeatingUpTimer"] = 48107,
["MCPyroblastTimer"] = 48108,
["MCArcanePowerTimer"] = 12042,
["MCArcaneChargeTimer"] = 36032, -- considered a debuff
["MCArcaneMissilesTimer"] = 79683,
["MCIcyVeinsTimer"] = 131078,
["MCIcyVeinsTimer2"] = 12472,
["MCFrozenOrbTimer"] = 84714,
["MCMirrorImageTimer"] = 55342,
["MCRingOfFrostTimer"] = 113724,
["MCInvokersEnergyTimer"] = 116257,
["MCIncantersAbsorptionTimer"] = 116267,
["MCCauterizeNotification"] = 87023,
["Ignite"] = 12654,
["MCAlterTimeTimer"] = 110909, 
["MCHypothermiaTimer"] = 41425,
["MCRuneOfPower1Timer"] = 116014,
["MCCauterizeTimer"] = 87024,
}

local MCArcaneBrilliance = {
[61316] = true, -- Dalaran Brilliance
[1459] = true, -- Arcane Brilliance
}

local MCArmors = {
[6117] = true, -- Mage Armor
[7302] = true, -- Frost Armor
[30482] = true, -- Molten Armor
}


function MageCandy_UpdateTimers(elapsed)
local idx, num

if #MCTimers ~= nil and #MCTimers ~= 0 then
idx = 1 
num = #MCTimers
while idx <= num do
MCTimers[idx].timer = MCTimers[idx].timer - elapsed
if MCTimers[idx].bypass then MCTimers[idx].exists = true end
if MCTimers[idx].exists == false then MCTimers[idx].timer = 0 end
if MCTimers[idx].timer > 0 then
if MCTier6Frame == MCInvokersEnergyTimer and _G[MCTimers[idx].frame] == MCTier6Frame and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcinvokersenergytimer == 1 then
_G[MCTimers[idx].frame]:Show()
elseif MCTier6Frame == MCRuneOfPower1Timer and (_G[MCTimers[idx].frame] == MCRuneOfPower1Timer or _G[MCTimers[idx].frame] == MCRuneOfPower2Timer) and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcruneofpowertimer == 1 then
_G[MCTimers[idx].frame]:Show()
elseif MCTier6Frame == MCIncantersAbsorptionTimer and _G[MCTimers[idx].frame] == MCTier6Frame and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersabsorptiontimer == 1 then
_G[MCTimers[idx].frame]:Show()
elseif _G[MCTimers[idx].frame] ~= MCTier6Frame and _G[MCTimers[idx].frame] ~= MCRuneOfPower2Timer then
_G[MCTimers[idx].frame]:Show()
elseif MCtimerbypass > 0 then
_G[MCTimers[idx].frame]:Show()
end
if MCTimers[idx].timer < 100 then
_G[MCTimers[idx].frame.."BarText"]:SetText(string.sub(MCTimers[idx].timer, 1, 4))
else
_G[MCTimers[idx].frame.."BarText"]:SetText(string.sub(MCTimers[idx].timer, 1, 3))
end
_G[MCTimers[idx].frame.."Bar"]:SetValue(MCTimers[idx].timer)
MageCandy_ColorTimerBar(_G[MCTimers[idx].frame.."Bar"], MCTimers[idx].timer)
else
_G[MCTimers[idx].frame]:Hide()
_G[MCTimers[idx].frame.."Bar"]:SetValue(0)
_G[MCTimers[idx].frame.."BarText"]:SetText(0)
if _G[MCTimers[idx].frame] == MCMirrorImageTimer then
MCMirrorImages = {}
end
if _G[MCTimers[idx].frame] == MCInvokersEnergyTimer and MCTier6Frame == MCInvokersEnergyTimer and not MCTimers[idx].bypass then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.sound.tier6 == 1 then
tier6sounddelay = 0
PlaySoundFile("Interface\\AddOns\\MageCandy\\Sounds\\tier6warning.mp3", "SFX")
end
MCInvokersEnergyTimerCooldown:SetCooldown(0, 0)
MCtier6flash = true
end
if (_G[MCTimers[idx].frame] == MCRuneOfPower1Timer and MCRuneOfPower2TimerBar:GetValue() == 0 and MCtimerbypass == 0) or (_G[MCTimers[idx].frame] == MCRuneOfPower2Timer and MCRuneOfPower1TimerBar:GetValue() == 0 and MCtimerbypass == 0) then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.sound.tier6 == 1 then
tier6sounddelay = 0
PlaySoundFile("Interface\\AddOns\\MageCandy\\Sounds\\tier6warning.mp3", "SFX")
end
MCRuneOfPower1TimerCooldown:SetCooldown(0, 0)
MCtier6flash = true
end
if _G[MCTimers[idx].frame] == MCIncantersAbsorptionTimer and MCTier6Frame == MCIncantersAbsorptionTimer and not MCTimers[idx].bypass then
if MCTier6Frame ~= nil then
if MCTier6Frame == MCIncantersAbsorptionTimer and MageCandy_Profiles[MageCandy_ActiveProfile].options.sound.tier6 == 1 then
PlaySoundFile("Interface\\AddOns\\MageCandy\\Sounds\\tier6warning.mp3", "SFX")
end
end
end
table.remove(MCTimers, idx)
idx = idx - 1
num = #MCTimers
end
idx = idx + 1
end
end
if #MCMirrorImages == 0 and MCtimerbypass == 0 then
MCMirrorImageTracker:Hide()
end

MageCandy_Tier6Flash(elapsed)
end

function MageCandy_Tier6Flash(elapsed)
if MCtimerbypass == 0 then
if MCtier6flash == true and MCTier6Frame ~= nil and MCTier6Frame ~= MCIncantersAbsorptionTimer then
if UnitAffectingCombat("player") == 1 then
if (MCTier6Frame == MCInvokersEnergyTimer and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcinvokersenergytimer == 1) or (MCTier6Frame == MCRuneOfPower1Timer and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcruneofpowertimer == 1) then
MCTier6Frame:Show()
end
else
MCTier6Frame:Hide()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.sound.tier6 == 1 then
tier6sounddelay = tier6sounddelay + elapsed
if tier6sounddelay >= 3 then
tier6sounddelay = tier6sounddelay - 3
if UnitAffectingCombat("player") == 1 then
PlaySoundFile("Interface\\AddOns\\MageCandy\\Sounds\\tier6warning.mp3", "SFX")
end
end
end
tier6flashdelay = tier6flashdelay + elapsed
if UnitAffectingCombat("player") == 1 then
if tier6flashdelay >= 0.5 then
_G[MCTier6Frame:GetName().."Icon"]:SetVertexColor(1, 1, 1)
elseif tier6flashdelay < 0.5 then
_G[MCTier6Frame:GetName().."Icon"]:SetVertexColor(1, 0, 0)
end
end
if tier6flashdelay >= 1 then
tier6flashdelay = tier6flashdelay - 1
end
elseif MCTier6Frame ~= nil and MCtier6flash == false then
tier6sounddelay = 0
tier6flashdelay = 0
_G[MCTier6Frame:GetName().."Icon"]:SetVertexColor(1, 1, 1)
return
elseif MCTier6Frame == nil or MCTier6Frame == MCIncantersAbsorptionTimer then
MCtier6flash = false
return
end
end
end

function MageCandy_ColorTimerBar(bar, value)

if value <= 5 then
if value <= 5 and value > 4.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 4.5 and value > 4 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 4 and value > 3.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 3.5 and value > 3 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 3 and value > 2.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 2.5 and value > 2 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 2 and value > 1.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 1.5 and value > 1 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 1 and value > 0.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 0.5 and value > 0 then
bar:SetStatusBarColor(0, 0.7, 1)
end
else
bar:SetStatusBarColor(0, 0.7, 1)
end

end


function MageCandy_NewTime(frame, timerduration, bypass)
if #MCTimers ~= nil and #MCTimers ~= 0 then
for idx = 1, #MCTimers do
if MCTimers[idx].frame == frame then
MCTimers[idx].timer = timerduration
MCTimers[idx].exists = true
return
end
end
else
table.insert(MCTimers, {frame = frame, timer = timerduration, exists = true})
if bypass then MCTimers[#MCTimers].bypass = true end
return
end
table.insert(MCTimers, {frame = frame, timer = timerduration, exists = true})
if bypass then MCTimers[#MCTimers].bypass = true end
end


function MageCandy_TimerHandler()
if MCtimerbypass == 0 then
MCmagearmor = false
MCarcanebrilliance = false
local name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, timerduration, spellid
if #MCTimers ~= 0 and #MCTimers ~= nil then
for idx = 1, #MCTimers do
MCTimers[idx].exists = false
end
end

for idx = 1, 40 do
name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, _ , spellid = UnitBuff("player", idx)
if MCArmors[spellid] then
MCmagearmor = true
elseif MCArcaneBrilliance[spellid] then
MCarcanebrilliance = true
end
if name == nil then
break
end
if count ~= nil and count ~= 0 then
if count == 1 then count = "" end
else
count = ""
end

timerduration = expirationtime - GetTime()

if MCTimerList[spellid] then

if spellid == MCSpellID["MCArcaneMissilesTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanemissilestimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcarcanemissilestimer == 3 and timerduration > MCArcaneMissilesTimerBar:GetValue() + 0.1 then
MCArcaneMissilesTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MageCandy_NewTime("MCArcaneMissilesTimer", timerduration)
MCArcaneMissilesTimerBar:SetMinMaxValues(0, duration)
MCArcaneMissilesTimerCount:SetText(count)
end
elseif spellid == MCSpellID["MCFingersOfFrostTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcfingersoffrosttimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcfingersoffrosttimer == 3 and timerduration > MCFingersOfFrostTimerBar:GetValue() + 0.1 then
MCFingersOfFrostTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MageCandy_NewTime("MCFingersOfFrostTimer", timerduration)
MCFingersOfFrostTimerBar:SetMinMaxValues(0, duration)
MCFingersOfFrostTimerCount:SetText(count)
end
elseif spellid == MCSpellID["MCBrainFreezeTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcbrainfreezetimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcbrainfreezetimer == 3 and timerduration > MCBrainFreezeTimerBar:GetValue() + 0.1 then
MCBrainFreezeTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MageCandy_NewTime("MCBrainFreezeTimer", timerduration)
MCBrainFreezeTimerBar:SetMinMaxValues(0, duration)
end
elseif spellid == MCSpellID["MCPyroblastTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcpyroblasttimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcpyroblasttimer == 3 and timerduration > MCPyroblastTimerBar:GetValue() + 0.1 then
MCPyroblastTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MCPyroblastTimerBar:SetMinMaxValues(0, duration)
MageCandy_NewTime("MCPyroblastTimer", timerduration)
end
elseif spellid == MCSpellID["MCArcanePowerTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanepowertimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcarcanepowertimer == 3 and timerduration > MCArcanePowerTimerBar:GetValue() + 0.1 then
MCArcanePowerTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MCArcanePowerTimerBar:SetMinMaxValues(0, duration)
MageCandy_NewTime("MCArcanePowerTimer", timerduration)
end
elseif spellid == MCSpellID["MCIcyVeinsTimer"] or spellid == MCSpellID["MCIcyVeinsTimer2"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcicyveinstimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcicyveinstimer == 3 and timerduration > MCIcyVeinsTimerBar:GetValue() + 0.1 then
MCIcyVeinsTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MCIcyVeinsTimerBar:SetMinMaxValues(0, duration)
MageCandy_NewTime("MCIcyVeinsTimer", timerduration)
end
elseif spellid == MCSpellID["MCInvokersEnergyTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcinvokersenergytimer == 3 and timerduration > MCInvokersEnergyTimerBar:GetValue() + 0.1 then
MCInvokersEnergyTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MCInvokersEnergyTimerBar:SetMinMaxValues(0, duration)
MCtier6flash = false
MageCandy_NewTime("MCInvokersEnergyTimer", timerduration)
elseif spellid == MCSpellID["MCIncantersAbsorptionTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcincantersabsorptiontimer == 3 and timerduration > MCIncantersAbsorptionTimerBar:GetValue() + 0.1 then
MCIncantersAbsorptionTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MCIncantersAbsorptionTimerBar:SetMinMaxValues(0, duration)
MageCandy_NewTime("MCIncantersAbsorptionTimer", timerduration)
elseif spellid == MCSpellID["MCAlterTimeTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcaltertimetimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcaltertimetimer == 3 and timerduration > MCAlterTimeTimerBar:GetValue() + 0.1 then
MCAlterTimeTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MageCandy_NewTime("MCAlterTimeTimer", timerduration)
MCAlterTimeTimerBar:SetMinMaxValues(0, duration)
end
end
end
end

local _, _, start, duration = GetTotemInfo(1)
if start ~= nil and start ~= 0 then
timerduration = (start + duration) - GetTime()
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcruneofpowertimer == 3 and timerduration > MCRuneOfPower1TimerBar:GetValue() + 0.1 then
MCRuneOfPower1TimerCooldown:SetCooldown(GetTime(), timerduration)
end
MCtier6flash = false
MageCandy_NewTime("MCRuneOfPower1Timer", timerduration, true)
MCRuneOfPower1TimerBar:SetMinMaxValues(0, duration)
end
local _, _, start, duration = GetTotemInfo(2)
if start ~= nil and start ~= 0 then
timerduration = (start + duration) - GetTime()
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcruneofpowertimer == 3 and timerduration > MCRuneOfPower2TimerBar:GetValue() + 0.1 then
MCRuneOfPower2TimerCooldown:SetCooldown(GetTime(), timerduration)
end
MCtier6flash = false
MageCandy_NewTime("MCRuneOfPower2Timer", timerduration, true)
MCRuneOfPower2TimerBar:SetMinMaxValues(0, duration)
end

for idx = 1, 40 do
name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, _ , spellid = UnitDebuff("player", idx)

if count ~= nil and count ~= 0 then
if count == 1 then count = "" end
else
count = ""
end
if expirationtime == nil then 
return 
end

if MCTimerList[spellid] then
timerduration = expirationtime - GetTime()
if spellid == MCSpellID["MCArcaneChargeTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanechargetimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcarcanechargetimer == 3 and timerduration > MCArcaneChargeTimerBar:GetValue() + 0.1 then
MCArcaneChargeTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MageCandy_NewTime("MCArcaneChargeTimer", timerduration)
MCArcaneChargeTimerBar:SetMinMaxValues(0, duration)
MCArcaneChargeTimerCount:SetText(count)
end
elseif spellid == MCSpellID["MCHypothermiaTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mchypothermiatimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mchypothermiatimer == 3 and timerduration > MCHypothermiaTimerBar:GetValue() + 0.1 then
MCHypothermiaTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MageCandy_NewTime("MCHypothermiaTimer", timerduration)
MCHypothermiaTimerBar:SetMinMaxValues(0, duration)
end
elseif spellid == MCSpellID["MCCauterizeTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccauterizetimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mccauterizetimer == 3 and timerduration > MCCauterizeTimerBar:GetValue() + 0.1 then
MCCauterizeTimerCooldown:SetCooldown(GetTime(), timerduration)
end
MageCandy_NewTime("MCCauterizeTimer", timerduration)
MCCauterizeTimerBar:SetMinMaxValues(0, duration)
end
end
end
end

end
end


function MageCandy_CreateTimersUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 12}

-- Timers ------------------------------------------------------------------------------------------
CreateFrame("Frame", "MCTimersEventFrame", UIParent)
MCTimersEventFrame:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 then

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if arg2 == "SPELL_CAST_SUCCESS" and arg4 == UnitGUID("player") and arg12 == 116011 then -- rune of power CAST
MageCandy_TimerHandler()
end

if arg2 == "SPELL_SUMMON" and arg4 == UnitGUID("player") and arg13 == GetSpellInfo(55342) then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcmirrorimagetimer == 3 then
MCMirrorImageTimerCooldown:SetCooldown(GetTime(), 30)
end
MageCandy_NewTime("MCMirrorImageTimer", 30, true)
end
end

if arg2 == "SPELL_CAST_SUCCESS" and arg4 == UnitGUID("player") then
if arg12 == MCSpellID["MCFrozenOrbTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcfrozenorbtimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcfrozenorbtimer == 3 then
MCFrozenOrbTimerCooldown:SetCooldown(GetTime(), 10)
end
MageCandy_NewTime("MCFrozenOrbTimer", 10, true)
end
elseif arg12 == MCSpellID["MCRingOfFrostTimer"] then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcringoffrosttimer == 1 then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.style.mcringoffrosttimer == 3 then
MCRingOfFrostTimerCooldown:SetCooldown(GetTime(), 10)
end
MageCandy_NewTime("MCRingOfFrostTimer", 10, true)
end
end
end

end

if event == "UNIT_AURA" and arg1 == "player" then
MageCandy_TimerHandler()
end

end
end)

MCTimersEventFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
MCTimersEventFrame:RegisterEvent("UNIT_AURA")


MageCandy_CreateTimer("MCPyroblastTimer", "CENTER", UIParent, "CENTER", -200, 135)
MCPyroblastTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_Hotstreak")
MCPyroblastTimerText:SetText(MageCandyLocal["PYROBLAST"])

MageCandy_CreateTimer("MCArcaneMissilesTimer", "CENTER", UIParent, "CENTER", -200, 100)
MCArcaneMissilesTimerIcon:SetTexture("Interface\\Icons\\Spell_Nature_StarFall")
MCArcaneMissilesTimerText:SetText(MageCandyLocal["ARCANE_MISSILES"])
MCArcaneMissilesTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCArcaneMissilesTimerCount:SetTextColor(1, 1, 1)
MCArcaneMissilesTimerCount:SetTextHeight(16)
MCArcaneMissilesTimerCount:SetPoint("BOTTOMRIGHT", MCArcaneMissilesTimerIcon, "BOTTOMRIGHT")

MageCandy_CreateTimer("MCFingersOfFrostTimer", "CENTER", UIParent, "CENTER", -200, 65)
MCFingersOfFrostTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_WintersGrasp")
MCFingersOfFrostTimerText:SetText(MageCandyLocal["FINGERS_OF_FROST"])
MCFingersOfFrostTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCFingersOfFrostTimerCount:SetTextColor(1, 1, 1)
MCFingersOfFrostTimerCount:SetTextHeight(16)
MCFingersOfFrostTimerCount:SetPoint("BOTTOMRIGHT", MCFingersOfFrostTimerIcon, "BOTTOMRIGHT")

MageCandy_CreateTimer("MCBrainFreezeTimer", "CENTER", UIParent, "CENTER", -200, 30)
MCBrainFreezeTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_BrainFreeze")
MCBrainFreezeTimerText:SetText(MageCandyLocal["BRAIN_FREEZE"])

MageCandy_CreateTimer("MCIcyVeinsTimer", "CENTER", UIParent, "CENTER", -200, -5)
MCIcyVeinsTimerIcon:SetTexture("Interface\\Icons\\Spell_Frost_ColdHearted")
MCIcyVeinsTimerText:SetText(MageCandyLocal["ICY_VEINS"])

MageCandy_CreateTimer("MCArcanePowerTimer", "CENTER", UIParent, "CENTER", -200, -40)
MCArcanePowerTimerIcon:SetTexture("Interface\\Icons\\Spell_Nature_Lightning")
MCArcanePowerTimerText:SetText(MageCandyLocal["ARCANE_POWER"])

MageCandy_CreateTimer("MCIncantersAbsorptionTimer", "CENTER", UIParent, "CENTER", -200, -75)
MCIncantersAbsorptionTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_IncantersAbsorbtion")
MCIncantersAbsorptionTimerText:SetText(MageCandyLocal["INCANTERS_ABSORPTION"])

MageCandy_CreateTimer("MCInvokersEnergyTimer", "CENTER", UIParent, "CENTER", -200, -110)
MCInvokersEnergyTimerIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane03")
MCInvokersEnergyTimerText:SetText(MageCandyLocal["INVOKERS_ENERGY"])

MageCandy_CreateTimer("MCAlterTimeTimer", "CENTER", UIParent, "CENTER", -200, -290)
MCAlterTimeTimerIcon:SetTexture("Interface\\Icons\\spell_mage_altertime")
MCAlterTimeTimerText:SetText(MageCandyLocal["ALTER_TIME"])

MageCandy_CreateTimer("MCHypothermiaTimer", "CENTER", UIParent, "CENTER", -200, 170)
MCHypothermiaTimerIcon:SetTexture("Interface\\Icons\\Spell_Fire_BlueImmolation")
MCHypothermiaTimerText:SetText(MageCandyLocal["HYPOTHERMIA"])

MageCandy_CreateTimer("MCCauterizeTimer", "CENTER", UIParent, "CENTER", -200, 205)
MCCauterizeTimerIcon:SetTexture("Interface\\Icons\\spell_fire_rune")
MCCauterizeTimerText:SetText(MageCandyLocal["CAUTERIZE_COOLDOWN"])
MCCauterizeTimerCooldown:SetReverse(false)

MageCandy_CreateTimer("MCRuneOfPower1Timer", "CENTER", UIParent, "CENTER", -200, 240)
MCRuneOfPower1TimerIcon:SetTexture("Interface\\Icons\\spell_mage_runeofpower")
MCRuneOfPower1TimerText:SetText(MageCandyLocal["RUNE_OF_POWER"].." 1")

MageCandy_CreateTimer("MCRuneOfPower2Timer", "CENTER", UIParent, "CENTER", -200, 275)
MCRuneOfPower2TimerIcon:SetTexture("Interface\\Icons\\spell_mage_runeofpower")
MCRuneOfPower2TimerText:SetText(MageCandyLocal["RUNE_OF_POWER"].." 2")

MageCandy_CreateTimer("MCFrozenOrbTimer", "CENTER", UIParent, "CENTER", -200, -145)
MCFrozenOrbTimerIcon:SetTexture("Interface\\Icons\\spell_frost_frozenorb")
MCFrozenOrbTimerText:SetText(MageCandyLocal["FROZEN_ORB"])

MageCandy_CreateTimer("MCMirrorImageTimer", "CENTER", UIParent, "CENTER", -200, -180)
MCMirrorImageTimerIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
MCMirrorImageTimerText:SetText(MageCandyLocal["MIRROR_IMAGE"])

MageCandy_CreateTimer("MCRingOfFrostTimer", "CENTER", UIParent, "CENTER", -200, -215)
MCRingOfFrostTimerIcon:SetTexture("INTERFACE\\ICONS\\spell_frost_ring of frost")
MCRingOfFrostTimerText:SetText(MageCandyLocal["RING_OF_FROST"])

MageCandy_CreateTimer("MCArcaneChargeTimer", "CENTER", UIParent, "CENTER", -200, -255)
MCArcaneChargeTimerIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane01")
MCArcaneChargeTimerText:SetText(MageCandyLocal["ARCANE_CHARGE"])
MCArcaneChargeTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCArcaneChargeTimerCount:SetTextColor(1, 1, 1)
MCArcaneChargeTimerCount:SetTextHeight(16)
MCArcaneChargeTimerCount:SetPoint("BOTTOMRIGHT", MCArcaneChargeTimerIcon, "BOTTOMRIGHT")
end


function MageCandy_CreateTimersOptionsMenu()
--Timers---------------------------------------------------------------
MageCandy.timers = CreateFrame("Frame", "MCTimersOptions", MCOptionsFrame)
MageCandy.timers:SetWidth(625)
MageCandy.timers:SetHeight(570)
MageCandy.timers:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.timers.name = MageCandyLocal["TIMERS"]
MageCandy.timers:SetFrameLevel(4)

MCTimersScrollFrame = CreateFrame("ScrollFrame", "MCTimersScrollFrame", MageCandy.timers)
MCTimersScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MCTimersScrollFrame:SetPoint("BOTTOMRIGHT", -30, 40) 

MCTimersContent = CreateFrame("Frame", "MCTimersContent", MCTimersScrollFrame)
MCTimersContent:SetPoint("CENTER")
MCTimersContent:SetWidth(580)
MCTimersContent:SetHeight(2000)
MCTimersScrollFrame:SetScrollChild(MCTimersContent)

MCTimersScroll = CreateFrame("Slider", "MCTimersScroll", MCTimersScrollFrame, "UIPanelScrollBarTemplate")
MCTimersScroll:SetOrientation("VERTICAL")
MCTimersScroll:SetWidth(20)
MCTimersScroll:SetHeight(450)
MCTimersScroll:SetPoint("RIGHT", MageCandy.timers, "RIGHT", -5, 0)
MCTimersScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MCTimersScroll:SetValueStep(20)
MCTimersScroll:SetValue(0)
MCTimersContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MCTimersScroll:GetValue()
if delta > 0  then
MCTimersScroll:SetValue(scroll - MCTimersScroll:GetValueStep())
elseif delta < 0 then
MCTimersScroll:SetValue(scroll + MCTimersScroll:GetValueStep())
end
end)

x = 50
y = 0
local spacey, scaley = 60, 45
y = y - 20
MageCandy_BarStyle("MCAlterTimeTimer", MCTimersContent, y)
CreateFrame("CheckButton", "MCAlterTimeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCAlterTimeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCAlterTimeTimerShowText:SetText(MageCandyLocal["ALTER_TIME_TIMER_SHOW"])
MCAlterTimeTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcaltertimetimer)
MCAlterTimeTimerShowIcon = MCAlterTimeTimerShow:CreateTexture("$parent_Icon")
MCAlterTimeTimerShowIcon:SetTexture("Interface\\Icons\\spell_mage_altertime")
MCAlterTimeTimerShowIcon:SetWidth(32)
MCAlterTimeTimerShowIcon:SetHeight(32)
MCAlterTimeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCAlterTimeTimerScale = CreateFrame("Slider","MCAlterTimeTimerScale", MCTimersContent)
MCAlterTimeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCAlterTimeTimerScale:SetWidth(300)
MCAlterTimeTimerScale:SetHeight(20)
MCAlterTimeTimerScale:SetOrientation("HORIZONTAL")
MCAlterTimeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCAlterTimeTimerScale:SetMinMaxValues(0.5,2)
MCAlterTimeTimerScale:SetValue(0)
MCAlterTimeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCAlterTimeTimerScale:SetScript("OnValueChanged", function (self, value) MCAlterTimeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCAlterTimeTimer:SetScale(value) end)
MCAlterTimeTimerScaleHeader = MCTimersContent:CreateFontString("MCAlterTimeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCAlterTimeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCAlterTimeTimerScale, "TOPLEFT")
MCAlterTimeTimerScaleHeader:SetText(MageCandyLocal["ALTER_TIME_TIMER_SCALE"])
MCAlterTimeTimerScaleValue = MCTimersContent:CreateFontString("MCAlterTimeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCAlterTimeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCAlterTimeTimerScale, "TOPRIGHT")
MCAlterTimeTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcaltertimetimer, 1, 4))
--------------------------------------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCArcaneChargeTimer", MCTimersContent, y)
CreateFrame("CheckButton", "MCArcaneChargeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcaneChargeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneChargeTimerShowText:SetText(MageCandyLocal["ARCANE_CHARGE_TIMER_SHOW"])
MCArcaneChargeTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanechargetimer)
MCArcaneChargeTimerShowIcon = MCArcaneChargeTimerShow:CreateTexture("$parent_Icon")
MCArcaneChargeTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane01")
MCArcaneChargeTimerShowIcon:SetWidth(32)
MCArcaneChargeTimerShowIcon:SetHeight(32)
MCArcaneChargeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcaneChargeTimerScale = CreateFrame("Slider","MCArcaneChargeTimerScale", MCTimersContent)
MCArcaneChargeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneChargeTimerScale:SetWidth(300)
MCArcaneChargeTimerScale:SetHeight(20)
MCArcaneChargeTimerScale:SetOrientation("HORIZONTAL")
MCArcaneChargeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcaneChargeTimerScale:SetMinMaxValues(0.5,2)
MCArcaneChargeTimerScale:SetValue(0)
MCArcaneChargeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcaneChargeTimerScale:SetScript("OnValueChanged", function (self, value) MCArcaneChargeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcaneChargeTimer:SetScale(value) end)
MCArcaneChargeTimerScaleHeader = MCTimersContent:CreateFontString("MCArcaneChargeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcaneChargeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcaneChargeTimerScale, "TOPLEFT")
MCArcaneChargeTimerScaleHeader:SetText(MageCandyLocal["ARCANE_CHARGE_TIMER_SCALE"])
MCArcaneChargeTimerScaleValue = MCTimersContent:CreateFontString("MCArcaneChargeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcaneChargeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcaneChargeTimerScale, "TOPRIGHT")
MCArcaneChargeTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcarcanechargetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCArcaneMissilesTimer", MCTimersContent, y)
MCArcaneMissilesTimerShow = CreateFrame("CheckButton", "MCArcaneMissilesTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcaneMissilesTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneMissilesTimerShowText:SetText(MageCandyLocal["ARCANE_MISSILES_TIMER_SHOW"])
MCArcaneMissilesTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanemissilestimer)
MCArcaneMissilesTimerShowIcon = MCArcaneMissilesTimerShow:CreateTexture("$parent_Icon")
MCArcaneMissilesTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Nature_StarFall")
MCArcaneMissilesTimerShowIcon:SetWidth(32)
MCArcaneMissilesTimerShowIcon:SetHeight(32)
MCArcaneMissilesTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - 20
MCArcaneMissilesTimerSound = CreateFrame("CheckButton", "MCArcaneMissilesTimerSound", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcaneMissilesTimerSound:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneMissilesTimerSoundText:SetText(MageCandyLocal["ENABLE_SOUND_EFFECT"])
MCArcaneMissilesTimerSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MCArcaneMissilesTimerSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCArcaneMissilesTimerScale = CreateFrame("Slider","MCArcaneMissilesTimerScale", MCTimersContent)
MCArcaneMissilesTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneMissilesTimerScale:SetWidth(300)
MCArcaneMissilesTimerScale:SetHeight(20)
MCArcaneMissilesTimerScale:SetOrientation("HORIZONTAL")
MCArcaneMissilesTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcaneMissilesTimerScale:SetMinMaxValues(0.5,2)
MCArcaneMissilesTimerScale:SetValue(0)
MCArcaneMissilesTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcaneMissilesTimerScale:SetScript("OnValueChanged", function (self, value) MCArcaneMissilesTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcaneMissilesTimer:SetScale(value) end)
MCArcaneMissilesTimerScaleHeader = MCTimersContent:CreateFontString("MCArcaneMissilesTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcaneMissilesTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcaneMissilesTimerScale, "TOPLEFT")
MCArcaneMissilesTimerScaleHeader:SetText(MageCandyLocal["ARCANE_MISSILES_TIMER_SCALE"])
MCArcaneMissilesTimerScaleValue = MCTimersContent:CreateFontString("MCArcaneMissilesTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcaneMissilesTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcaneMissilesTimerScale, "TOPRIGHT")
MCArcaneMissilesTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcarcanemissilestimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCArcanePowerTimer", MCTimersContent, y)
MCArcanePowerTimerShow = CreateFrame("CheckButton", "MCArcanePowerTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcanePowerTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcanePowerTimerShowText:SetText(MageCandyLocal["ARCANE_POWER_TIMER_SHOW"])
MCArcanePowerTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanepowertimer)
MCArcanePowerTimerShowIcon = MCArcanePowerTimerShow:CreateTexture("$parent_Icon")
MCArcanePowerTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Nature_Lightning")
MCArcanePowerTimerShowIcon:SetWidth(32)
MCArcanePowerTimerShowIcon:SetHeight(32)
MCArcanePowerTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcanePowerTimerScale = CreateFrame("Slider","MCArcanePowerTimerScale", MCTimersContent)
MCArcanePowerTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcanePowerTimerScale:SetWidth(300)
MCArcanePowerTimerScale:SetHeight(20)
MCArcanePowerTimerScale:SetOrientation("HORIZONTAL")
MCArcanePowerTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcanePowerTimerScale:SetMinMaxValues(0.5,2)
MCArcanePowerTimerScale:SetValue(0)
MCArcanePowerTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcanePowerTimerScale:SetScript("OnValueChanged", function (self, value) MCArcanePowerTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcanePowerTimer:SetScale(value) end)
MCArcanePowerTimerScaleHeader = MCTimersContent:CreateFontString("MCArcanePowerTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcanePowerTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcanePowerTimerScale, "TOPLEFT")
MCArcanePowerTimerScaleHeader:SetText(MageCandyLocal["ARCANE_POWER_TIMER_SCALE"])
MCArcanePowerTimerScaleValue = MCTimersContent:CreateFontString("MCArcanePowerTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcanePowerTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcanePowerTimerScale, "TOPRIGHT")
MCArcanePowerTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcarcanepowertimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCBrainFreezeTimer", MCTimersContent, y)
MCBrainFreezeTimerShow = CreateFrame("CheckButton", "MCBrainFreezeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCBrainFreezeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCBrainFreezeTimerShowText:SetText(MageCandyLocal["BRAIN_FREEZE_TIMER_SHOW"])
MCBrainFreezeTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcbrainfreezetimer)
MCBrainFreezeTimerShowIcon = MCBrainFreezeTimerShow:CreateTexture("$parent_Icon")
MCBrainFreezeTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_BrainFreeze")
MCBrainFreezeTimerShowIcon:SetWidth(32)
MCBrainFreezeTimerShowIcon:SetHeight(32)
MCBrainFreezeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - 20
MCBrainFreezeTimerSound = CreateFrame("CheckButton", "MCBrainFreezeTimerSound", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCBrainFreezeTimerSound:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCBrainFreezeTimerSoundText:SetText(MageCandyLocal["ENABLE_SOUND_EFFECT"])
MCBrainFreezeTimerSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MCBrainFreezeTimerSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCBrainFreezeTimerScale = CreateFrame("Slider","MCBrainFreezeTimerScale", MCTimersContent)
MCBrainFreezeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCBrainFreezeTimerScale:SetWidth(300)
MCBrainFreezeTimerScale:SetHeight(20)
MCBrainFreezeTimerScale:SetOrientation("HORIZONTAL")
MCBrainFreezeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCBrainFreezeTimerScale:SetMinMaxValues(0.5,2)
MCBrainFreezeTimerScale:SetValue(0)
MCBrainFreezeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCBrainFreezeTimerScale:SetScript("OnValueChanged", function (self, value) MCBrainFreezeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCBrainFreezeTimer:SetScale(value) end)
MCBrainFreezeTimerScaleHeader = MCTimersContent:CreateFontString("MCBrainFreezeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCBrainFreezeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCBrainFreezeTimerScale, "TOPLEFT")
MCBrainFreezeTimerScaleHeader:SetText(MageCandyLocal["BRAIN_FREEZE_TIMER_SCALE"])
MCBrainFreezeTimerScaleValue = MCTimersContent:CreateFontString("MCBrainFreezeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCBrainFreezeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCBrainFreezeTimerScale, "TOPRIGHT")
MCBrainFreezeTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcbrainfreezetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCCauterizeTimer", MCTimersContent, y)
MCCauterizeTimerShow = CreateFrame("CheckButton", "MCCauterizeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCCauterizeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCCauterizeTimerShowText:SetText(MageCandyLocal["CAUTERIZE_TIMER_SHOW"])
MCCauterizeTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccauterizetimer)
MCCauterizeTimerShowIcon = MCCauterizeTimerShow:CreateTexture("$parent_Icon")
MCCauterizeTimerShowIcon:SetTexture("Interface\\Icons\\spell_fire_rune")
MCCauterizeTimerShowIcon:SetWidth(32)
MCCauterizeTimerShowIcon:SetHeight(32)
MCCauterizeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCCauterizeTimerScale = CreateFrame("Slider","MCCauterizeTimerScale", MCTimersContent)
MCCauterizeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCCauterizeTimerScale:SetWidth(300)
MCCauterizeTimerScale:SetHeight(20)
MCCauterizeTimerScale:SetOrientation("HORIZONTAL")
MCCauterizeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCCauterizeTimerScale:SetMinMaxValues(0.5,2)
MCCauterizeTimerScale:SetValue(0)
MCCauterizeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCCauterizeTimerScale:SetScript("OnValueChanged", function (self, value) MCCauterizeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCCauterizeTimer:SetScale(value) end)
MCCauterizeTimerScaleHeader = MCTimersContent:CreateFontString("MCCauterizeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCCauterizeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCCauterizeTimerScale, "TOPLEFT")
MCCauterizeTimerScaleHeader:SetText(MageCandyLocal["CAUTERIZE_TIMER_SCALE"])
MCCauterizeTimerScaleValue = MCTimersContent:CreateFontString("MCCauterizeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCCauterizeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCCauterizeTimerScale, "TOPRIGHT")
MCCauterizeTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mccauterizetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCFingersOfFrostTimer", MCTimersContent, y)
MCFingersOfFrostTimerShow = CreateFrame("CheckButton", "MCFingersOfFrostTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCFingersOfFrostTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFingersOfFrostTimerShowText:SetText(MageCandyLocal["FINGERS_OF_FROST_TIMER_SHOW"])
MCFingersOfFrostTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcfingersoffrosttimer)
MCFingersOfFrostTimerShowIcon = MCFingersOfFrostTimerShow:CreateTexture("$parent_Icon")
MCFingersOfFrostTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_WintersGrasp")
MCFingersOfFrostTimerShowIcon:SetWidth(32)
MCFingersOfFrostTimerShowIcon:SetHeight(32)
MCFingersOfFrostTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - 20
MCFingersOfFrostTimerSound = CreateFrame("CheckButton", "MCFingersOfFrostTimerSound", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCFingersOfFrostTimerSound:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFingersOfFrostTimerSoundText:SetText(MageCandyLocal["ENABLE_SOUND_EFFECT"])
MCFingersOfFrostTimerSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MCFingersOfFrostTimerSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCFingersOfFrostTimerScale = CreateFrame("Slider","MCFingersOfFrostTimerScale", MCTimersContent)
MCFingersOfFrostTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFingersOfFrostTimerScale:SetWidth(300)
MCFingersOfFrostTimerScale:SetHeight(20)
MCFingersOfFrostTimerScale:SetOrientation("HORIZONTAL")
MCFingersOfFrostTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFingersOfFrostTimerScale:SetMinMaxValues(0.5,2)
MCFingersOfFrostTimerScale:SetValue(0)
MCFingersOfFrostTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFingersOfFrostTimerScale:SetScript("OnValueChanged", function (self, value) MCFingersOfFrostTimerScaleValue:SetText(string.sub(value, 1, 4)) MCFingersOfFrostTimer:SetScale(value) end)
MCFingersOfFrostTimerScaleHeader = MCTimersContent:CreateFontString("MCFingersOfFrostTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCFingersOfFrostTimerScaleHeader:SetPoint("BOTTOMLEFT", MCFingersOfFrostTimerScale, "TOPLEFT")
MCFingersOfFrostTimerScaleHeader:SetText(MageCandyLocal["FINGERS_OF_FROST_TIMER_SCALE"])
MCFingersOfFrostTimerScaleValue = MCTimersContent:CreateFontString("MCFingersOfFrostTimerScaleValue", "OVERLAY", "GameFontNormal")
MCFingersOfFrostTimerScaleValue:SetPoint("BOTTOMRIGHT", MCFingersOfFrostTimerScale, "TOPRIGHT")
MCFingersOfFrostTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcfingersoffrosttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCHypothermiaTimer", MCTimersContent, y)
MCHypothermiaTimerShow = CreateFrame("CheckButton", "MCHypothermiaTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCHypothermiaTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCHypothermiaTimerShowText:SetText(MageCandyLocal["HYPOTHERMIA_TIMER_SHOW"])
MCHypothermiaTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mchypothermiatimer)
MCHypothermiaTimerShowIcon = MCHypothermiaTimerShow:CreateTexture("$parent_Icon")
MCHypothermiaTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Fire_BlueImmolation")
MCHypothermiaTimerShowIcon:SetWidth(32)
MCHypothermiaTimerShowIcon:SetHeight(32)
MCHypothermiaTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCHypothermiaTimerScale = CreateFrame("Slider","MCHypothermiaTimerScale", MCTimersContent)
MCHypothermiaTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCHypothermiaTimerScale:SetWidth(300)
MCHypothermiaTimerScale:SetHeight(20)
MCHypothermiaTimerScale:SetOrientation("HORIZONTAL")
MCHypothermiaTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCHypothermiaTimerScale:SetMinMaxValues(0.5,2)
MCHypothermiaTimerScale:SetValue(0)
MCHypothermiaTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCHypothermiaTimerScale:SetScript("OnValueChanged", function (self, value) MCHypothermiaTimerScaleValue:SetText(string.sub(value, 1, 4)) MCHypothermiaTimer:SetScale(value) end)
MCHypothermiaTimerScaleHeader = MCTimersContent:CreateFontString("MCHypothermiaTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCHypothermiaTimerScaleHeader:SetPoint("BOTTOMLEFT", MCHypothermiaTimerScale, "TOPLEFT")
MCHypothermiaTimerScaleHeader:SetText(MageCandyLocal["HYPOTHERMIA_TIMER_SCALE"])
MCHypothermiaTimerScaleValue = MCTimersContent:CreateFontString("MCHypothermiaTimerScaleValue", "OVERLAY", "GameFontNormal")
MCHypothermiaTimerScaleValue:SetPoint("BOTTOMRIGHT", MCHypothermiaTimerScale, "TOPRIGHT")
MCHypothermiaTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mchypothermiatimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCInvokersEnergyTimer", MCTimersContent, y)
MCInvokersEnergyTimerShow = CreateFrame("CheckButton", "MCInvokersEnergyTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCInvokersEnergyTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCInvokersEnergyTimerShowText:SetText(MageCandyLocal["INVOKERS_ENERGY_TIMER_SHOW"])
MCInvokersEnergyTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcinvokersenergytimer)
MCInvokersEnergyTimerShowIcon = MCInvokersEnergyTimerShow:CreateTexture("$parent_Icon")
MCInvokersEnergyTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane03")
MCInvokersEnergyTimerShowIcon:SetWidth(32)
MCInvokersEnergyTimerShowIcon:SetHeight(32)
MCInvokersEnergyTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCInvokersEnergyTimerScale = CreateFrame("Slider","MCInvokersEnergyTimerScale", MCTimersContent)
MCInvokersEnergyTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCInvokersEnergyTimerScale:SetWidth(300)
MCInvokersEnergyTimerScale:SetHeight(20)
MCInvokersEnergyTimerScale:SetOrientation("HORIZONTAL")
MCInvokersEnergyTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCInvokersEnergyTimerScale:SetMinMaxValues(0.5,2)
MCInvokersEnergyTimerScale:SetValue(0)
MCInvokersEnergyTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCInvokersEnergyTimerScale:SetScript("OnValueChanged", function (self, value) MCInvokersEnergyTimerScaleValue:SetText(string.sub(value, 1, 4)) MCInvokersEnergyTimer:SetScale(value) end)
MCInvokersEnergyTimerScaleHeader = MCTimersContent:CreateFontString("MCInvokersEnergyTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCInvokersEnergyTimerScaleHeader:SetPoint("BOTTOMLEFT", MCInvokersEnergyTimerScale, "TOPLEFT")
MCInvokersEnergyTimerScaleHeader:SetText(MageCandyLocal["INVOKERS_ENERGY_TIMER_SCALE"])
MCInvokersEnergyTimerScaleValue = MCTimersContent:CreateFontString("MCInvokersEnergyTimerScaleValue", "OVERLAY", "GameFontNormal")
MCInvokersEnergyTimerScaleValue:SetPoint("BOTTOMRIGHT", MCInvokersEnergyTimerScale, "TOPRIGHT")
MCInvokersEnergyTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcinvokersenergytimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCIcyVeinsTimer", MCTimersContent, y)
MCIcyVeinsTimerShow = CreateFrame("CheckButton", "MCIcyVeinsTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCIcyVeinsTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIcyVeinsTimerShowText:SetText(MageCandyLocal["ICY_VEINS_TIMER_SHOW"])
MCIcyVeinsTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcicyveinstimer)
MCIcyVeinsTimerShowIcon = MCIcyVeinsTimerShow:CreateTexture("$parent_Icon")
MCIcyVeinsTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Frost_ColdHearted")
MCIcyVeinsTimerShowIcon:SetWidth(32)
MCIcyVeinsTimerShowIcon:SetHeight(32)
MCIcyVeinsTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCIcyVeinsTimerScale = CreateFrame("Slider","MCIcyVeinsTimerScale", MCTimersContent)
MCIcyVeinsTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIcyVeinsTimerScale:SetWidth(300)
MCIcyVeinsTimerScale:SetHeight(20)
MCIcyVeinsTimerScale:SetOrientation("HORIZONTAL")
MCIcyVeinsTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCIcyVeinsTimerScale:SetMinMaxValues(0.5,2)
MCIcyVeinsTimerScale:SetValue(0)
MCIcyVeinsTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCIcyVeinsTimerScale:SetScript("OnValueChanged", function (self, value) MCIcyVeinsTimerScaleValue:SetText(string.sub(value, 1, 4)) MCIcyVeinsTimer:SetScale(value) end)
MCIcyVeinsTimerScaleHeader = MCTimersContent:CreateFontString("MCIcyVeinsTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCIcyVeinsTimerScaleHeader:SetPoint("BOTTOMLEFT", MCIcyVeinsTimerScale, "TOPLEFT")
MCIcyVeinsTimerScaleHeader:SetText(MageCandyLocal["ICY_VEINS_TIMER_SCALE"])
MCIcyVeinsTimerScaleValue = MCTimersContent:CreateFontString("MCIcyVeinsTimerScaleValue", "OVERLAY", "GameFontNormal")
MCIcyVeinsTimerScaleValue:SetPoint("BOTTOMRIGHT", MCIcyVeinsTimerScale, "TOPRIGHT")
MCIcyVeinsTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcicyveinstimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCMirrorImageTimer", MCTimersContent, y)
MCMirrorImageTimerShow = CreateFrame("CheckButton", "MCMirrorImageTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCMirrorImageTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCMirrorImageTimerShowText:SetText(MageCandyLocal["MIRROR_IMAGE_TIMER_SHOW"])
MCMirrorImageTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetimer)
MCMirrorImageTimerShowIcon = MCMirrorImageTimerShow:CreateTexture("$parent_Icon")
MCMirrorImageTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
MCMirrorImageTimerShowIcon:SetWidth(32)
MCMirrorImageTimerShowIcon:SetHeight(32)
MCMirrorImageTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCMirrorImageTimerScale = CreateFrame("Slider","MCMirrorImageTimerScale", MCTimersContent)
MCMirrorImageTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCMirrorImageTimerScale:SetWidth(300)
MCMirrorImageTimerScale:SetHeight(20)
MCMirrorImageTimerScale:SetOrientation("HORIZONTAL")
MCMirrorImageTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCMirrorImageTimerScale:SetMinMaxValues(0.5,2)
MCMirrorImageTimerScale:SetValue(0)
MCMirrorImageTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCMirrorImageTimerScale:SetScript("OnValueChanged", function (self, value) MCMirrorImageTimerScaleValue:SetText(string.sub(value, 1, 4)) MCMirrorImageTimer:SetScale(value) end)
MCMirrorImageTimerScaleHeader = MCTimersContent:CreateFontString("MCMirrorImageTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCMirrorImageTimerScaleHeader:SetPoint("BOTTOMLEFT", MCMirrorImageTimerScale, "TOPLEFT")
MCMirrorImageTimerScaleHeader:SetText(MageCandyLocal["MIRROR_IMAGE_TIMER_SCALE"])
MCMirrorImageTimerScaleValue = MCTimersContent:CreateFontString("MCMirrorImageTimerScaleValue", "OVERLAY", "GameFontNormal")
MCMirrorImageTimerScaleValue:SetPoint("BOTTOMRIGHT", MCMirrorImageTimerScale, "TOPRIGHT")
MCMirrorImageTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcmirrorimagetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCPyroblastTimer", MCTimersContent, y)
MCPyroblastTimerShow = CreateFrame("CheckButton", "MCPyroblastTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCPyroblastTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCPyroblastTimerShowText:SetText(MageCandyLocal["PYROBLAST_TIMER_SHOW"])
MCPyroblastTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcpyroblasttimer)
MCPyroblastTimerShowIcon = MCPyroblastTimerShow:CreateTexture("$parent_Icon")
MCPyroblastTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_Hotstreak")
MCPyroblastTimerShowIcon:SetWidth(32)
MCPyroblastTimerShowIcon:SetHeight(32)
MCPyroblastTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - 20
MCPyroblastTimerSound = CreateFrame("CheckButton", "MCPyroblastTimerSound", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCPyroblastTimerSound:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCPyroblastTimerSoundText:SetText(MageCandyLocal["ENABLE_SOUND_EFFECT"])
MCPyroblastTimerSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MCPyroblastTimerSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCPyroblastTimerScale = CreateFrame("Slider","MCPyroblastTimerScale", MCTimersContent)
MCPyroblastTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCPyroblastTimerScale:SetWidth(300)
MCPyroblastTimerScale:SetHeight(20)
MCPyroblastTimerScale:SetOrientation("HORIZONTAL")
MCPyroblastTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCPyroblastTimerScale:SetMinMaxValues(0.5,2)
MCPyroblastTimerScale:SetValue(0)
MCPyroblastTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCPyroblastTimerScale:SetScript("OnValueChanged", function (self, value) MCPyroblastTimerScaleValue:SetText(string.sub(value, 1, 4)) MCPyroblastTimer:SetScale(value) end)
MCPyroblastTimerScaleHeader = MCTimersContent:CreateFontString("MCPyroblastTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCPyroblastTimerScaleHeader:SetPoint("BOTTOMLEFT", MCPyroblastTimerScale, "TOPLEFT")
MCPyroblastTimerScaleHeader:SetText(MageCandyLocal["PYROBLAST_TIMER_SCALE"])
MCPyroblastTimerScaleValue = MCTimersContent:CreateFontString("MCPyroblastTimerScaleValue", "OVERLAY", "GameFontNormal")
MCPyroblastTimerScaleValue:SetPoint("BOTTOMRIGHT", MCPyroblastTimerScale, "TOPRIGHT")
MCPyroblastTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcpyroblasttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCRingOfFrostTimer", MCTimersContent, y)
MCRingOfFrostTimerShow = CreateFrame("CheckButton", "MCRingOfFrostTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCRingOfFrostTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRingOfFrostTimerShowText:SetText(MageCandyLocal["RING_OF_FROST_TIMER_SHOW"])
MCRingOfFrostTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcringoffrosttimer)
MCRingOfFrostTimerShowIcon = MCRingOfFrostTimerShow:CreateTexture("$parent_Icon")
MCRingOfFrostTimerShowIcon:SetTexture("INTERFACE\\ICONS\\spell_frost_ring of frost")
MCRingOfFrostTimerShowIcon:SetWidth(32)
MCRingOfFrostTimerShowIcon:SetHeight(32)
MCRingOfFrostTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCRingOfFrostTimerScale = CreateFrame("Slider","MCRingOfFrostTimerScale", MCTimersContent)
MCRingOfFrostTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRingOfFrostTimerScale:SetWidth(300)
MCRingOfFrostTimerScale:SetHeight(20)
MCRingOfFrostTimerScale:SetOrientation("HORIZONTAL")
MCRingOfFrostTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCRingOfFrostTimerScale:SetMinMaxValues(0.5,2)
MCRingOfFrostTimerScale:SetValue(0)
MCRingOfFrostTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCRingOfFrostTimerScale:SetScript("OnValueChanged", function (self, value) MCRingOfFrostTimerScaleValue:SetText(string.sub(value, 1, 4)) MCRingOfFrostTimer:SetScale(value) end)
MCRingOfFrostTimerScaleHeader = MCTimersContent:CreateFontString("MCRingOfFrostTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCRingOfFrostTimerScaleHeader:SetPoint("BOTTOMLEFT", MCRingOfFrostTimerScale, "TOPLEFT")
MCRingOfFrostTimerScaleHeader:SetText(MageCandyLocal["RING_OF_FROST_TIMER_SCALE"])
MCRingOfFrostTimerScaleValue = MCTimersContent:CreateFontString("MCRingOfFrostTimerScaleValue", "OVERLAY", "GameFontNormal")
MCRingOfFrostTimerScaleValue:SetPoint("BOTTOMRIGHT", MCRingOfFrostTimerScale, "TOPRIGHT")
MCRingOfFrostTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcringoffrosttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCRuneOfPowerTimer", MCTimersContent, y)
MCRuneOfPowerTimerShow = CreateFrame("CheckButton", "MCRuneOfPowerTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCRuneOfPowerTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRuneOfPowerTimerShowText:SetText(MageCandyLocal["RUNE_OF_POWER_TIMER_SHOW"])
MCRuneOfPowerTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcruneofpowertimer)
MCRuneOfPowerTimerShowIcon = MCRuneOfPowerTimerShow:CreateTexture("$parent_Icon")
MCRuneOfPowerTimerShowIcon:SetTexture("Interface\\Icons\\spell_mage_runeofpower")
MCRuneOfPowerTimerShowIcon:SetWidth(32)
MCRuneOfPowerTimerShowIcon:SetHeight(32)
MCRuneOfPowerTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCRuneOfPowerTimerScale = CreateFrame("Slider","MCRuneOfPowerTimerScale", MCTimersContent)
MCRuneOfPowerTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRuneOfPowerTimerScale:SetWidth(300)
MCRuneOfPowerTimerScale:SetHeight(20)
MCRuneOfPowerTimerScale:SetOrientation("HORIZONTAL")
MCRuneOfPowerTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCRuneOfPowerTimerScale:SetMinMaxValues(0.5,2)
MCRuneOfPowerTimerScale:SetValue(0)
MCRuneOfPowerTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCRuneOfPowerTimerScale:SetScript("OnValueChanged", function (self, value) 
MCRuneOfPowerTimerScaleValue:SetText(string.sub(value, 1, 4)) 
MCRuneOfPower1Timer:SetScale(value) 
MCRuneOfPower2Timer:SetScale(value)
end)
MCRuneOfPowerTimerScaleHeader = MCTimersContent:CreateFontString("MCRuneOfPowerTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCRuneOfPowerTimerScaleHeader:SetPoint("BOTTOMLEFT", MCRuneOfPowerTimerScale, "TOPLEFT")
MCRuneOfPowerTimerScaleHeader:SetText(MageCandyLocal["RUNE_OF_POWER_TIMER_SCALE"])
MCRuneOfPowerTimerScaleValue = MCTimersContent:CreateFontString("MCRuneOfPowerTimerScaleValue", "OVERLAY", "GameFontNormal")
MCRuneOfPowerTimerScaleValue:SetPoint("BOTTOMRIGHT", MCRuneOfPowerTimerScale, "TOPRIGHT")
MCRuneOfPowerTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcruneofpowertimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCFrozenOrbTimer", MCTimersContent, y)
MCFrozenOrbTimerShow = CreateFrame("CheckButton", "MCFrozenOrbTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCFrozenOrbTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFrozenOrbTimerShowText:SetText(MageCandyLocal["FROZEN_ORB_TIMER_SHOW"])
MCFrozenOrbTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcfrozenorbtimer)
MCFrozenOrbTimerShowIcon = MCFrozenOrbTimerShow:CreateTexture("$parent_Icon")
MCFrozenOrbTimerShowIcon:SetTexture("Interface\\Icons\\spell_frost_frozenorb")
MCFrozenOrbTimerShowIcon:SetWidth(32)
MCFrozenOrbTimerShowIcon:SetHeight(32)
MCFrozenOrbTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCFrozenOrbTimerScale = CreateFrame("Slider","MCFrozenOrbTimerScale", MCTimersContent)
MCFrozenOrbTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFrozenOrbTimerScale:SetWidth(300)
MCFrozenOrbTimerScale:SetHeight(20)
MCFrozenOrbTimerScale:SetOrientation("HORIZONTAL")
MCFrozenOrbTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFrozenOrbTimerScale:SetMinMaxValues(0.5,2)
MCFrozenOrbTimerScale:SetValue(0)
MCFrozenOrbTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFrozenOrbTimerScale:SetScript("OnValueChanged", function (self, value) MCFrozenOrbTimerScaleValue:SetText(string.sub(value, 1, 4)) MCFrozenOrbTimer:SetScale(value) end)
MCFrozenOrbTimerScaleHeader = MCTimersContent:CreateFontString("MCFrozenOrbTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCFrozenOrbTimerScaleHeader:SetPoint("BOTTOMLEFT", MCFrozenOrbTimerScale, "TOPLEFT")
MCFrozenOrbTimerScaleHeader:SetText(MageCandyLocal["FROZEN_ORB_TIMER_SCALE"])
MCFrozenOrbTimerScaleValue = MCTimersContent:CreateFontString("MCFrozenOrbTimerScaleValue", "OVERLAY", "GameFontNormal")
MCFrozenOrbTimerScaleValue:SetPoint("BOTTOMRIGHT", MCFrozenOrbTimerScale, "TOPRIGHT")
MCFrozenOrbTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcfrozenorbtimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MageCandy_BarStyle("MCIncantersAbsorptionTimer", MCTimersContent, y)
MCIncantersAbsorptionTimerShow = CreateFrame("CheckButton", "MCIncantersAbsorptionTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCIncantersAbsorptionTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIncantersAbsorptionTimerShowText:SetText(MageCandyLocal["INCANTERS_ABSORPTION_TIMER_SHOW"])
MCIncantersAbsorptionTimerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersabsorptiontimer)
MCIncantersAbsorptionTimerShowIcon = MCIncantersAbsorptionTimerShow:CreateTexture("$parent_Icon")
MCIncantersAbsorptionTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_IncantersAbsorbtion")
MCIncantersAbsorptionTimerShowIcon:SetWidth(32)
MCIncantersAbsorptionTimerShowIcon:SetHeight(32)
MCIncantersAbsorptionTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCIncantersAbsorptionTimerScale = CreateFrame("Slider","MCIncantersAbsorptionTimerScale", MCTimersContent)
MCIncantersAbsorptionTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIncantersAbsorptionTimerScale:SetWidth(300)
MCIncantersAbsorptionTimerScale:SetHeight(20)
MCIncantersAbsorptionTimerScale:SetOrientation("HORIZONTAL")
MCIncantersAbsorptionTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCIncantersAbsorptionTimerScale:SetMinMaxValues(0.5,2)
MCIncantersAbsorptionTimerScale:SetValue(0)
MCIncantersAbsorptionTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCIncantersAbsorptionTimerScale:SetScript("OnValueChanged", function (self, value) MCIncantersAbsorptionTimerScaleValue:SetText(string.sub(value, 1, 4)) MCIncantersAbsorptionTimer:SetScale(value) end)
MCIncantersAbsorptionTimerScaleHeader = MCTimersContent:CreateFontString("MCIncantersAbsorptionTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCIncantersAbsorptionTimerScaleHeader:SetPoint("BOTTOMLEFT", MCIncantersAbsorptionTimerScale, "TOPLEFT")
MCIncantersAbsorptionTimerScaleHeader:SetText(MageCandyLocal["INCANTERS_ABSORPTION_TIMER_SCALE"])
MCIncantersAbsorptionTimerScaleValue = MCTimersContent:CreateFontString("MCIncantersAbsorptionTimerScaleValue", "OVERLAY", "GameFontNormal")
MCIncantersAbsorptionTimerScaleValue:SetPoint("BOTTOMRIGHT", MCIncantersAbsorptionTimerScale, "TOPRIGHT")
MCIncantersAbsorptionTimerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcincantersabsorptiontimer, 1, 4))

MageCandy.timers:Hide()
--------------------------------------------------------------------------------
MCTimersScroll:SetMinMaxValues(0, (abs(y)/60)*40 + 200)
MCTimersScroll:SetValue(0)
end

end

